<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.micrometer.registry.prometheus" stability="community">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="context,security-enabled"/>
        <elem name="addr-params" value="subsystem,registry"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.micrometer"/>
    </annotation>
    <refs>
        <ref feature="subsystem.micrometer"/>
    </refs>
    <params>
        <param name="context" stability="default"/>
        <param name="subsystem" feature-id="true" default="micrometer"/>
        <param name="registry" feature-id="true" default="prometheus"/>
        <param name="security-enabled" nillable="true" stability="default"/>
    </params>
    <packages>
        <package name="io.prometheus"/>
    </packages>
</feature-spec>